Harbor Gateway
  1. Lockers
Harbor Gateway
  • Harbor Gateway API
    • Harbor Gateway
    • Health & Status
      • Admin interface
      • Health check
    • Transactions
      • List all transactions
      • Create a transaction
      • Get transaction details
      • Release transaction
      • Open locker by transaction ID
    • Lockers
      • List all lockers
        GET
      • Get locker configuration
        GET
      • Get locker details
        GET
      • Update locker service state
        PATCH
      • Open locker by ID
        POST
      • Open all lockers
        POST
    • Locker Types
      • List all locker types
      • Get locker type details
    • Bank Types
      • List all bank types
      • Get bank type with associations
    • System
      • Receive heartbeat from external device
    • Schemas
      • Locker
      • LockerTypeSummary
      • TransactionResponse
      • LockerType
      • LockController
      • System
      • LockerConfig
      • LogEntry
      • OperationResponse
      • LockerOperationResponse
      • MultiStatusOperationResponse
      • BankType
      • OpenAllLockersResponse
      • BankTypeAssociation
      • Error
      • BankTypeWithAssociations
      • DeviceHeartbeatRequest
  1. Lockers

List all lockers

GET
/lockers
Retrieve the status of all lockers in the system with optional filters

Request

Query Params

Responses

🟢200
application/json
List of all lockers
Body

🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/lockers?controllerId&available&outOfService&transacted'
Response Response Example
200 - Example 1
[
    {
        "lockerId": 0,
        "bankId": 0,
        "bankLockerNumber": 0,
        "lockerType": {
            "slug": "medium",
            "lengthInches": 12,
            "widthInches": 12,
            "heightInches": 18,
            "description": "Medium locker (default)",
            "alwaysOos": false
        },
        "isLow": true,
        "lockControllerId": 0,
        "lockPort": 0,
        "transactionId": "string",
        "available": true,
        "outOfService": true,
        "brokenLock": true,
        "operational": true,
        "reasonCode": "CONTROL_BOARD_UNREACHABLE",
        "reason": "string",
        "doorOpen": true,
        "lastOpened": "2019-08-24T14:15:22.123Z"
    }
]
Modified at 2026-02-20 22:56:40
Previous
Open locker by transaction ID
Next
Get locker configuration
Built with